Bug 1490252 - Could not resolve packages from state 'content-view.repositories.yum.list'
Summary: Could not resolve packages from state 'content-view.repositories.yum.list'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: Nikhil Kathole
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 07:15 UTC by Nikhil Kathole
Modified: 2019-08-12 16:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:05:39 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot of UI (110.01 KB, image/png)
2017-09-11 07:15 UTC, Nikhil Kathole
no flags Details
Clicking on packages link (289.48 KB, application/octet-stream)
2017-12-07 09:22 UTC, Nikhil Kathole
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 21788 0 None None None 2017-11-27 16:02:34 UTC

Description Nikhil Kathole 2017-09-11 07:15:46 UTC
Created attachment 1324360 [details]
screenshot of UI

Description of problem: We were trying to get list of packages in yum repository under content view.But when we click on packages link, nothing will happen and console shows "Could not resolve 'products.repository.manage-content.packages' from state 'content-view.repositories.yum.list'"

Version-Release number of selected component (if applicable): Satellite 6.3 snap 15


How reproducible: always


Steps to Reproduce:
1. Create content view having some packages in repository
2. Navigate to Content -> Content Views
3. Select content-view
4. Click on yum content -> repository tab
5. try to click on packages link

Actual results:
Clicking packages link didn't navigate to any page and console shows error as 
Could not resolve 'products.repository.manage-content.packages' from state 'content-view.repositories.yum.list' (see attachment)

Expected results:
Link should get resolved successfully.


Additional info:

Comment 2 Walden Raines 2017-11-27 15:49:26 UTC
Created redmine issue http://projects.theforeman.org/issues/21788 from this bug

Comment 3 Walden Raines 2017-11-27 16:06:37 UTC
PR: https://github.com/Katello/katello/pull/7085

Comment 4 pm-sat@redhat.com 2017-11-27 19:18:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21788 has been resolved.

Comment 5 Nikhil Kathole 2017-12-07 09:20:52 UTC
VERIFIED

Version Tested:
Satellite-6.3 Snap 27

Clicking packages link correctly navigated(see attachment).

Comment 6 Nikhil Kathole 2017-12-07 09:22:08 UTC
Created attachment 1364120 [details]
Clicking on packages link

Comment 7 Bryan Kearney 2018-02-21 17:05:39 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.